"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startAppBranchUninstallTaskDef = void 0;
const _1 = require("./$");
const app_is_not_available_1 = require("./app-is-not-available");
const app_is_not_allowed_1 = require("./app-is-not-allowed");
const app_branch_is_not_available_1 = require("./app-branch-is-not-available");
const app_branch_is_not_allowed_1 = require("./app-branch-is-not-allowed");
const app_branch_is_preinstalled_1 = require("./app-branch-is-preinstalled");
const app_branch_ongoing_task_exists_1 = require("./app-branch-ongoing-task-exists");
const app_branch_root_dir_does_not_exist_1 = require("./app-branch-root-dir-does-not-exist");
const app_branch_root_dir_permissions_are_insufficient_1 = require("./app-branch-root-dir-permissions-are-insufficient");
exports.startAppBranchUninstallTaskDef = _1.__.defineManagedFunc()
    .name(`startAppBranchUninstallTask`)
    .namespace(_1.$namespace)
    .errorTypes([
    app_is_not_available_1.AppIsNotAvailable,
    app_is_not_allowed_1.AppIsNotAllowed,
    app_branch_is_not_available_1.AppBranchIsNotAvailable,
    app_branch_is_not_allowed_1.AppBranchIsNotAllowed,
    app_branch_is_preinstalled_1.AppBranchIsPreinstalled,
    app_branch_ongoing_task_exists_1.AppBranchOngoingTaskExists,
    app_branch_root_dir_does_not_exist_1.AppBranchRootDirDoesNotExist,
    app_branch_root_dir_permissions_are_insufficient_1.AppBranchRootDirPermissionsAreInsufficient,
])
    .async()
    .executeType().startAppBranchUninstallTaskDef;
//# sourceMappingURL=start-app-branch-uninstall-task-def.js.map